%define anolis_release 3
%global _hardened_build 1

Summary:        Random number generator related utilities
Name:           rng-tools
Version:        6.16
Release:        %{anolis_release}%{?dist}
License:        GPLv2+
URL:            https://github.com/nhorman/rng-tools
Source0:        https://github.com/nhorman/rng-tools/archive/refs/tags/v%{version}.tar.gz
Source1:        rngd.service
Source2:        rngd.sysconfig

BuildRequires: gcc make
BuildRequires: gettext
BuildRequires: systemd systemd-rpm-macros
BuildRequires: autoconf automake
BuildRequires: libgcrypt-devel libcurl-devel
BuildRequires: libxml2-devel openssl-devel
BuildRequires: jitterentropy-devel
BuildRequires: jansson-devel
BuildRequires: libcap-devel

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

#Patch0: 1-rt-revert-build-randstat.patch

%description
Hardware random number generation tools.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
export CFLAGS="$CFLAGS  -DJENT_CONF_ENABLE_INTERNAL_TIMER"
./autogen.sh
%configure --without-pkcs11 --without-rtlsdr
%make_build

%install
%make_install

# install systemd unit file
install -Dt %{buildroot}%{_unitdir} -m0644 %{SOURCE1}
# install sysconfig file
install -D %{SOURCE2} -m0644 %{buildroot}%{_sysconfdir}/sysconfig/rngd

%generate_compatibility_deps

%post
%systemd_post rngd.service

%preun
%systemd_preun rngd.service

%postun
%systemd_postun_with_restart rngd.service

%files
%license COPYING
%{_bindir}/rngtest
%{_sbindir}/rngd
%{_bindir}/randstat
%{_mandir}/man1/rngtest.1.*
%{_mandir}/man8/rngd.8.*
%attr(0644,root,root)    %{_unitdir}/rngd.service
%config(noreplace) %attr(0644,root,root)    %{_sysconfdir}/sysconfig/rngd
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc AUTHORS README

%changelog
* Tue Apr 30 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 6.16-3
- Rebuild for Anolis 23

* Mon Mar 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.16-2
- Del Specific Fields

* Thu Mar 23 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.16-1
- update to 6.16

* Wed Dec 28 2022 Shawn Wang <shawnwang@linux.alibaba.com> - 6.15-3
- update spec file

* Mon Jun 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 6.15-2
- fix build failed with new jitterentropy

* Wed Mar 09 2022 Renbo <rb01097748@alibaba-inc.com> - 6.15-1
- Init for Anolis OS 23
